Bug 250636 - security/wazuh-agent: Update to 4.0.0
Summary: security/wazuh-agent: Update to 4.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://github.com/wazuh/wazuh/releas...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-26 15:44 UTC by Michael Muenz
Modified: 2020-10-29 07:12 UTC (History)
1 user (show)

See Also:
fernape: merge-quarterly+


Attachments
wazuh-agent 4 (5.71 KB, patch)
2020-10-26 15:44 UTC, Michael Muenz
m.muenz: maintainer-approval+
Details | Diff
wazuh 4 (6.24 KB, patch)
2020-10-28 11:58 UTC, Michael Muenz
m.muenz: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Muenz 2020-10-26 15:44:10 UTC
Created attachment 219108 [details]
wazuh-agent 4

Patch to upgrade wazuh-agent from 3.13 to 4.0.
This will also fix compile errors for FreeBSD13.

- portlint -A is happy
- poudriere testport runs fine on 12.1 64bit
- poudriere bulk builds a fine pkg and agent can updated in productive environment.
Comment 1 Fernando Apesteguía freebsd_committer 2020-10-26 16:29:27 UTC
^Triage: Bugfix release, merge to quarterly branch.

^Triage: Please confirm this change passes QA (portlint, poudriere at least).
--
https://www.freebsd.org/doc/en/books/porters-handbook/testing.html

Some variables are out of place:

# Maintainer block
MAINTAINER
COMMENT

# License block
LICENSE
LICENSE_FILE

# BROKEN/IGNORE/DEPRECATED messages
BROKEN_i386

# USES block
USES
USE_GITHUB
+USE_RC_SUBR

-CONFLICTS_INSTALL

# USES=shebangfix related variables
SHEBANG_FILES

# Conflicts
+CONFLICTS_INSTALL
-USE_RC_SUBR



Thanks!
Comment 2 Michael Muenz 2020-10-28 11:58:48 UTC
Created attachment 219167 [details]
wazuh 4
Comment 3 Michael Muenz 2020-10-28 12:00:01 UTC
Dear Fernando, 

Thanks for you time to review the patch and Makefile, really appreciated.
Hopefully everything is fixed now.

Best,
Michael
Comment 4 commit-hook freebsd_committer 2020-10-29 07:08:15 UTC
A commit references this bug:

Author: fernape
Date: Thu Oct 29 07:07:22 UTC 2020
New revision: 553587
URL: https://svnweb.freebsd.org/changeset/ports/553587

Log:
  security/wazuh-agent: Update to 4.0.0

  ChangeLog: https://github.com/wazuh/wazuh/releases/tag/v4.0.0

  PR:	250636
  Submitted by:	m.muenz@gmail.com
  MFH:	2020Q4 (blanket, runtime fixes)

Changes:
  head/security/wazuh-agent/Makefile
  head/security/wazuh-agent/distinfo
  head/security/wazuh-agent/pkg-message
  head/security/wazuh-agent/pkg-plist
Comment 5 commit-hook freebsd_committer 2020-10-29 07:10:16 UTC
A commit references this bug:

Author: fernape
Date: Thu Oct 29 07:09:39 UTC 2020
New revision: 553588
URL: https://svnweb.freebsd.org/changeset/ports/553588

Log:
  MFH: r553587

  security/wazuh-agent: Update to 4.0.0

  ChangeLog: https://github.com/wazuh/wazuh/releases/tag/v4.0.0

  PR:	250636
  Submitted by:	m.muenz@gmail.com

  Approved by:	ports-secteam (blanket, runtime fixes)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/security/wazuh-agent/Makefile
  branches/2020Q4/security/wazuh-agent/distinfo
  branches/2020Q4/security/wazuh-agent/pkg-message
  branches/2020Q4/security/wazuh-agent/pkg-plist
Comment 6 Fernando Apesteguía freebsd_committer 2020-10-29 07:12:26 UTC
Committed and MFHed,

Thanks for taking the time to address those changes in the Makefile!